Page 3 of 3 FirstFirst 123
Results 21 to 29 of 29

Thread: problems installing lich

  1. #21

    Default

    Im having the same problem with the sqllite3 install loop. This is probably a dumb question but i got a copy of ruby 2.0 from the ruby website but i cant seem to find an executable or install file any where in the directories. Am i missing some thing or did i download the wrong thing?

  2. #22

    Default

    Quote Originally Posted by Goldgenesis View Post
    Im having the same problem with the sqllite3 install loop. This is probably a dumb question but i got a copy of ruby 2.0 from the ruby website but i cant seem to find an executable or install file any where in the directories. Am i missing some thing or did i download the wrong thing?
    The ruby file you download should be an exe file


    rubyinstaller-2.0.0-p645.exe
    Last edited by SashaFierce; 06-15-2015 at 02:32 PM.

  3. #23

    Default

    I found the correct download link, maybe http://rubyinstaller.org/downloads/ trying it atm.

  4. #24

    Default

    following the rest of the install notes in this thread and using that download link worked perfect. really enjoying the gui situations.

  5. Default

    Quote Originally Posted by SashaFierce View Post
    The ruby file you download should be an exe file


    rubyinstaller-2.0.0-p645.exe
    This finally got the problem solved for me. When I was using the 2.2.2 version of Ruby, the black windows would open but nothing happened and they closed. After installing the 2.0.0 version, it worked perfectly.

    Thanks all.
    Last edited by Kriterian; 06-23-2015 at 04:31 PM.

  6. #26

    Default

    Quote Originally Posted by nocturnix View Post
    Microsoft Windows [Version 6.1.7601]
    Copyright (c) 2009 Microsoft Corporation. All rights reserved.


    C:\Users\XXX>c:\ruby200\bin\ruby.exe -v
    ruby 2.0.0p598 (2014-11-13) [i386-mingw32]


    C:\Users\XXX>c:\ruby200\bin\gem.bat install sqlite3 --source http://rubygems
    .org --no-ri --no-rdoc
    Successfully installed sqlite3-1.3.10-x86-mingw32
    WARNING: Unable to pull data from 'https://rubygems.org/': SSL_connect returned
    =1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (htt
    ps://rubygems.org/latest_specs.4.8.gz)
    1 gem installed


    C:\Users\XXX>
    I am trying to install this on my bootcamped mac (running windows 10) right now on the train. I got to the SQLite3 portion of the install process again and had the same issue with no command prompt/automatic install of the sql3gem happening. So i tried the manual command again. I also downloaded the gem locally but am not sure what the command is to install it, i have a sqlite3.def and sqlite3.dll which I moved into the /bin folder of my ruby installation. From there I am not sure what to try next. Here is the output when I rune the installation command to download and install the gem:

    https://imgur.com/jPrVOdL

    ruby.exe -v
    ruby 2.0.0p648 (2015-12-16) [i386-mingw32]

    There seem to be files missing and connecting to the rubygems.org doesnt seem to work. Any ideas how I should complete this step?
    Last edited by nocturnix; 04-25-2019 at 06:37 AM.
    ..:: My Wares ::..

    WANTED:
    Un-navable Gold Ring
    AUR Enhancives, Spell Aim Enhancives
    Spear/Jav Bando or Returner (prefer War-Hammer, but open)
    C==||====> Custom Forging Services - Get your perfect 2hander or Polearm now! <====||==D

  7. Default

    Quote Originally Posted by nocturnix View Post
    I am trying to install this on my bootcamped mac (running windows 10) ... Any ideas how I should complete this step?
    On windows 10, try this.

    1) Go to your control panel and apps - remove Ruby 2.0.0
    2) Open up your Windows Explorer, click on THIS PC and double click on C DRIVE
    3) Delete the Ruby200 folder if it is still present (it should be, but needs to be gone.)
    4) Go to this link, download the installer and run it.
    5) Use the new shortcut on your desktop to start Lich, log in through the Lich signin process, select your character and Stormfront.
    6) Click the PLAY button, and enjoy!

  8. Default

    I am also having the hangup on installing SQLite3, running Windows 8. I have tried different versions on Ruby 2.0.0 (uninstall via program manager and deleted c:\ruby200 folder) and have been unsuccessful. After trying the cmd prompt recommendation above I thought downloading the devkit might help the problem, so tried downloading that as well, however I do not know how to use it. This is the info from my cmd promt:

    ruby 2.0.0p648 (2015-12-16) [i386-mingw32]

    C:\Windows\System32>c:\ruby200\bin\ruby.exe -v
    ruby 2.0.0p648 (2015-12-16) [i386-mingw32]

    C:\Windows\System32>c:\ruby200\bin\gem.bat install sqlite3 --source http://rubyg
    ems.org --no-ri --no-rdoc
    Fetching: sqlite3-1.4.1.gem (100%)
    ERROR: Error installing sqlite3:
    The 'sqlite3' native gem requires installed build tools.

    Please update your PATH to include build tools or download the DevKit
    from 'http://rubyinstaller.org/downloads' and follow the instructions
    at 'http://github.com/oneclick/rubyinstaller/wiki/Development-Kit'

    C:\Windows\System32>


    I also tried running the windows 10 installer and that seemed to install fine, however the link it placed on my desktop did not work and I could not find the location of where it linked too... couldn't find a lich.rbw file.

    Thanks a bunch for any help you can give.

  9. Default

    Quote Originally Posted by Zatixx View Post
    I also tried running the windows 10 installer and that seemed to install fine, however the link it placed on my desktop did not work and I could not find the location of where it linked too... couldn't find a lich.rbw file.
    I received some help over on Discord.. for me the windows 10 installer did not successfully install Lich so that is why the desktop shortcut was broken. All fixed now.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •